news/canlock-hp - The NetBSD Packages Collection

Parsers for RFC 5536 message headers and RFC 8315 header fields

The canlock-hp package contains standalone header parsers that can be used to
implement RFC 8315 Netnews Cancel-Locks on the receiving (server) side.
They are intended as preprocessors for canlock, the command line frontend of
libcanlock, but are independent programs.

canlock-mhp (Message Header Parser) is intended to process RFC 5536 Netnews
articles and can be used to extract and unfold a single header field.

canlock-hfp (Header Field Parser) is intended to process RFC 8315 header fields
("Cancel-Lock" and "Cancel-Key").

Build dependencies

pkgtools/cwrappers

Runtime dependencies

(none)

Binary packages

OSArchitectureVersion
NetBSD 8.0earmv7hfcanlock-hp-3.2.1.tgz
NetBSD 8.0earmv7hfcanlock-hp-3.2.0.tgz
NetBSD 8.0earmv7hfcanlock-hp-3.2.2.tgz
NetBSD 8.0i386canlock-hp-3.2.0.tgz
NetBSD 8.0i386canlock-hp-3.2.1.tgz
NetBSD 8.0i386canlock-hp-3.2.2.tgz
NetBSD 8.0powerpccanlock-hp-3.2.0.tgz
NetBSD 8.0powerpccanlock-hp-3.2.1.tgz
NetBSD 8.0powerpccanlock-hp-3.2.1.tgz
NetBSD 8.0x86_64canlock-hp-3.2.2.tgz
NetBSD 8.0x86_64canlock-hp-3.2.0.tgz
NetBSD 8.0x86_64canlock-hp-3.2.1.tgz
NetBSD 9.0aarch64canlock-hp-3.2.2.tgz
NetBSD 9.0aarch64canlock-hp-3.2.0.tgz
NetBSD 9.0aarch64canlock-hp-3.2.1.tgz
NetBSD 9.0alphacanlock-hp-3.2.2.tgz
NetBSD 9.0alphacanlock-hp-3.2.0.tgz
NetBSD 9.0alphacanlock-hp-3.2.1.tgz
NetBSD 9.0earmv6hfcanlock-hp-3.2.2.tgz
NetBSD 9.0earmv6hfcanlock-hp-3.2.0.tgz
NetBSD 9.0earmv6hfcanlock-hp-3.2.1.tgz
NetBSD 9.0earmv6hfcanlock-hp-3.2.1.tgz
NetBSD 9.0earmv7hfcanlock-hp-3.2.2.tgz
NetBSD 9.0earmv7hfcanlock-hp-3.2.0.tgz
NetBSD 9.0earmv7hfcanlock-hp-3.2.1.tgz
NetBSD 9.0earmv7hfcanlock-hp-3.2.1.tgz
NetBSD 9.0i386canlock-hp-3.2.0.tgz
NetBSD 9.0i386canlock-hp-3.2.1.tgz
NetBSD 9.0i386canlock-hp-3.2.2.tgz
NetBSD 9.0mips64ebcanlock-hp-3.2.0.tgz
NetBSD 9.0mips64ebcanlock-hp-3.2.1.tgz
NetBSD 9.0powerpccanlock-hp-3.2.1.tgz
NetBSD 9.0powerpccanlock-hp-3.2.0.tgz
NetBSD 9.0sparc64canlock-hp-3.2.2.tgz
NetBSD 9.0sparc64canlock-hp-3.2.0.tgz
NetBSD 9.0sparc64canlock-hp-3.2.0.tgz
NetBSD 9.0sparc64canlock-hp-3.2.1.tgz
NetBSD 9.0sparccanlock-hp-3.2.0.tgz
NetBSD 9.0x86_64canlock-hp-3.2.0.tgz
NetBSD 9.0x86_64canlock-hp-3.2.1.tgz
NetBSD 9.0x86_64canlock-hp-3.2.2.tgz
NetBSD 9.0x86_64canlock-hp-3.2.2.tgz
NetBSD 9.0x86_64canlock-hp-3.2.0.tgz
NetBSD 9.0x86_64canlock-hp-3.2.1.tgz
NetBSD 9.0x86_64canlock-hp-3.2.2.tgz

Binary packages can be installed with the high-level tool pkgin (which can be installed with pkg_add) or pkg_add(1) (installed by default). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

(none)

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.